Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class drop_intention

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.drop_intention

All Implemented Interfaces:
  InternalAction, java.io.Serializable

Direct Known Subclasses:
  drop_desire

    public class drop_intention

extends DefaultInternalAction

Internal action: `.drop_intention(I)`.

Description: removes intentions I from the set of intentions of the agent (suspended intentions are also considered). No event is produced.

Example:

- `.drop_intention(go(1,3))`: removes an intention having a plan with triggering event `+!go(1,3)` in the agent's current circumstance.

See Also:
  `intend`, `desire`, `drop_all_desires`, `drop_all_events`, `drop_all_intentions`, `drop_desire`, `succeed_goal`, `fail_goal`, `current_intention`, `suspend`, `suspended`, `resume`, Serialized Form

Constructor Summary
`drop_intention()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`void` | `dropInt(Circumstance C, Literal l, Unifier un)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### drop_intention

    public drop_intention()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

### dropInt

    public void dropInt(Circumstance C,
                        Literal l,
                        Unifier un)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD